OpenPanelDocs

Get Export Charts

Export aggregated chart/analytics data for a series of events over a time range.

GET
/export/charts

Export aggregated chart/analytics data for a series of events over a time range.

Query Parameters

breakdowns?array<>

Array of dimensions to break down the data by

Default[]
interval?string

The time interval for data aggregation (e.g., day, week, month)

Default"day"
Value in"minute""day""hour""week""month"
range?string

The time range for which data should be displayed

Default"30d"
Value in"30min""lastHour""last24h""today""yesterday""7d""30d""3m""6m""12m""monthToDate""lastMonth""yearToDate""lastYear""custom"
previous?boolean

Whether to show data from the previous period for comparison

Defaultfalse
startDate?|

Custom start date for the data range (overrides range if provided)

endDate?|

Custom end date for the data range (overrides range if provided)

project_id?string
projectId?string
series?array<>
events?array<>
Example Request
curl -X GET 'https://api.openpanel.dev/export/charts'